(function($){
    'use strict';
    
    $(document).ready(function(){
        $(document).on("keydown", function(e){
            if(e.target.nodeName == "TEXTAREA"){
                return true;
            }
            if(e.keyCode == 13){
                return false;
            }
        });

        $('.add-question').on('click', function(e){
            e.preventDefault();
            let count = $(document).find('.ays-border').length;
            $(".ays-block.collapse").removeAttr("class").attr("class","ays-block collapse");
            $(".ays-link").addClass("collapsed");
            let appendable = `
            <div class="ays-border">
                <div class="card-header">
                    <div class="row">
                        <div class="col-sm-1">
                            <a class="ays-link ays-move" title="Move question">
                                <i class="fa fa-arrows fa-2x ui-sortable-handle ays-move-questions"></i>
                            </a>
                        </div>
                        <div class="col-sm-9" data-toggle="collapse" href="#collapse_${count}">
                            <label class='ays_faq_label ays-for-change'>New question</label>
                        </div>
                        <div class="col-sm-1 ays-forcollaps"> 
                            <a class="ays-link" data-toggle="collapse" href="#collapse_${count}" title="Collapse question">
                            </a>
                        </div>
                        <div class="col-sm-1">
                            <a class="ays-link ays-delete-question" href="#" title="Delete question">
                                <i class="fa fa-trash fa-2x" aria-hidden="true"></i>
                            </a>
                        </div>
                    </div>
                </div>

                <div id="collapse_${count}" class="ays-block collapse show">
                  <div class="card-body">
                        <div class="ays_modal_element form-group row">
                            <div class="col-sm-2">
                                <label class='ays_faq_label ' for='ays-faq-quest-${count}'>Question</label>
                            </div>
                            <div class="col-sm-10">
                                <input type="text" class="ays-text-input form-control" id='ays-faq-quest-${count}' name='ays_faq_question[]' value=""/>
                            </div>
                        </div>
                        <div class="ays_modal_element form-group row">
                            <div class="col-sm-2">
                                <label class='ays_faq_label' for='ays-faq-answer-${count}'>Answer</label>
                            </div>
                            <div class="col-sm-10">
                                <textarea class="form-control" name='ays_faq_answer[]' id='ays-faq-answer-${count}' value=""></textarea>
                            </div>
                        </div>
                  </div>
                </div>
            </div>`;
            let main = $(document).find('#main');
            main.append(appendable);
        });
        
        $(document).on('click', ".ays-delete-question", function(e){
            e.preventDefault();
            $(this).parents(".ays-border").remove();
        });
        
        $(document).on('mousedown', ".ays-link.ays-move", function(e){
            $(".ays-block.collapse").removeAttr("class").attr("class","ays-block collapse");
            $(".ays-link").addClass("collapsed");
        });

        $("#main").sortable({
            handle: '.ays-move-questions',
			axis: 'y',
			opacity: 0.8,
            cursor: 'move'
        });
        
        $(document).on("input", ".ays-text-input", function(){
            $(this).parents(".ays-border").find('.ays-for-change').text($(this).val());
        });

        $('[data-toggle="tooltip"]').tooltip();

        $(document).find('.nav-tab-wrapper a.nav-tab').on('click', function(e){
            e.preventDefault();
            let elemenetID = $(this).attr('href');
            let active_tab = $(this).attr('data-tab');
            $(document).find('.nav-tab-wrapper a.nav-tab').each(function(){
            if( $(this).hasClass('nav-tab-active') ){
                $(this).removeClass('nav-tab-active');
            }
            });
            $(this).addClass('nav-tab-active');

            $(document).find('.ays-faq-tab-content').each(function(){
                if( $(this).hasClass('ays-faq-tab-content-active') )
                    $(this).removeClass('ays-faq-tab-content-active');
            });
            $(document).find("#"+active_tab).addClass('ays-faq-tab-content-active');
            $(document).find("[name='ays_faq_tab']").val(active_tab);
        });
        $(document).on('click', ".ays-add-user-question", function(e) {
            $(this).addClass("ays-delete-question");
            $(this).removeClass("ays-add-user-question");        
            $(this).children().removeClass("fas fa-plus");
            $(this).children().addClass("fa fa-trash fa-2x");    
            $(this).parents(".ays-border").find(".card-body input.ays-text-input").attr("name", "ays_faq_question[]");     
            $(this).parents(".ays-border").find(".card-body textarea.form-control").attr("name", "ays_faq_answer[]");
            $(this).parents(".ays-border").find(".user_quest").val("false");
        });


            // Code Mirror
             
              setTimeout(function(){
            if($(document).find('#ays_custom_css').length > 0){
                let CodeEditor = null;
                if(wp.codeEditor){
                    CodeEditor = wp.codeEditor.initialize($(document).find('#ays_custom_css'), cm_settings);
                }
                if(CodeEditor !== null){
                    CodeEditor.codemirror.on('change', function(e, ev){
                        $(CodeEditor.codemirror.display.input.div).find('.CodeMirror-linenumber').remove();
                        $(document).find('#ays_custom_css').val(CodeEditor.codemirror.display.input.div.innerText);
                            
                    });
                }
            

            }
        }, 500);
       
          $(document).find('a[href="#tab2"]').on('click', function (e) {        
            setTimeout(function(){
                if($(document).find('#ays_custom_css').length > 0){
                    var ays_custom_css = $(document).find('#ays_custom_css').html();
                    if(wp.codeEditor){
                        $(document).find('#ays_custom_css').next('.CodeMirror').remove();
                        var CodeEditor = wp.codeEditor.initialize($(document).find('#ays_custom_css'), cm_settings);

                        CodeEditor.codemirror.on('change', function(e, ev){
                            $(CodeEditor.codemirror.display.input.div).find('.CodeMirror-linenumber').remove();
                            $(document).find('#ays_custom_css').val(CodeEditor.codemirror.display.input.div.innerText);
                        });
                        ays_custom_css = CodeEditor.codemirror.getValue();
                        $(document).find('#ays_custom_css').html(ays_custom_css);
                    }
                }
            }, 500);
           
        });

        //themes defoult

        $(document).find('.ays_modal_element .ays_theme img').on('click', function (e) {
            var themeTipe = e.target.parentElement.getAttribute("for");
            var plusminusOptionsVal = {
                bgColor: "#f0f0f0",
                bgColorQuest: "#ffffff",
                bgColorAnsw: "#DFDDDD",
                titleBgColor: "#db8e87",
                textcolor: "#000000",
                questtextColor: "#000000",
                answertextColor: "#000000",
                collapseIconDir: "left",
                collapseIcon: "#icons-2",
            }
            var defaultOptionsVal = {
                bgColor: "#f0f0f0",
                bgColorQuest: "#DFDDDD",
                bgColorAnsw: "#DFDDDD",
                titleBgColor: "#f9f9f9",
                textcolor: "#000000",
                questtextColor: "#000000",
                answertextColor: "#000000",
                collapseIconDir: "right",
                collapseIcon: "#icons-6",
            }
            var simpleOptionsVal = {
                bgColor: "#ffffff",
                bgColorQuest: "#ffffff",
                bgColorAnsw: "#ffffff",
                titleBgColor: "#ffffff",
                textcolor: "#32373c",
                questtextColor: "#039ae2",
                answertextColor: "#32373c",
                collapseIconDir: "right",
                collapseIcon: "#icons-1",
            }
            
            let bgColor,
                bgColorQuest,
                bgColorAnsw,
                titleBgColor,
                textColor,
                questtextColor,
                answertextColor;
            
            if ( themeTipe == "plusminus" ) {
                $("#bgColor").val(plusminusOptionsVal.bgColor);
                $("#bgColorQuest").val(plusminusOptionsVal.bgColorQuest);
                $("#bgColorAnsw").val(plusminusOptionsVal.bgColorAnsw);
                $("#titleBgColor").val(plusminusOptionsVal.titleBgColor);
                $("#textColor").val(plusminusOptionsVal.textcolor);
                $("#questtextColor").val(plusminusOptionsVal.questtextColor);
                $("#answertextColor").val(plusminusOptionsVal.answertextColor);
                $("#ays_"+plusminusOptionsVal.collapseIconDir).attr( 'checked', true );
                $(".collapseIcon "+plusminusOptionsVal.collapseIcon).attr( 'checked', true );
                bgColor = plusminusOptionsVal.bgColor;
                bgColorQuest = plusminusOptionsVal.bgColorQuest;
                bgColorAnsw = plusminusOptionsVal.bgColorAnsw;
                titleBgColor = plusminusOptionsVal.titleBgColor;
                textColor = plusminusOptionsVal.textcolor;
                questtextColor = plusminusOptionsVal.questtextColor;
                answertextColor = plusminusOptionsVal.answertextColor;       
            } else if ( themeTipe == "default_arrow") {
                $("#bgColor").val(defaultOptionsVal.bgColor);
                $("#bgColorQuest").val(defaultOptionsVal.bgColorQuest);
                $("#bgColorAnsw").val(defaultOptionsVal.bgColorAnsw);
                $("#titleBgColor").val(defaultOptionsVal.titleBgColor);
                $("#textColor").val(defaultOptionsVal.textcolor);
                $("#questtextColor").val(defaultOptionsVal.questtextColor);
                $("#answertextColor").val(defaultOptionsVal.answertextColor);
                $("#ays_"+defaultOptionsVal.collapseIconDir).attr( 'checked', true );
                $(".collapseIcon "+defaultOptionsVal.collapseIcon).attr( 'checked', true );
                bgColor = defaultOptionsVal.bgColor;
                bgColorQuest = defaultOptionsVal.bgColorQuest;
                bgColorAnsw = defaultOptionsVal.bgColorAnsw;
                titleBgColor = defaultOptionsVal.titleBgColor;
                textColor = defaultOptionsVal.textcolor;
                questtextColor = defaultOptionsVal.questtextColor;
                answertextColor = defaultOptionsVal.answertextColor;       
            } else if ( themeTipe == "simple") {
                $("#bgColor").val(simpleOptionsVal.bgColor);
                $("#bgColorQuest").val(simpleOptionsVal.bgColorQuest);
                $("#bgColorAnsw").val(simpleOptionsVal.bgColorAnsw);
                $("#titleBgColor").val(simpleOptionsVal.titleBgColor);
                $("#textColor").val(simpleOptionsVal.textcolor);
                $("#questtextColor").val(simpleOptionsVal.questtextColor);
                $("#answertextColor").val(simpleOptionsVal.answertextColor);
                $("#ays_"+simpleOptionsVal.collapseIconDir).attr( 'checked', true );
                $(".collapseIcon "+simpleOptionsVal.collapseIcon).attr( 'checked', true );
                bgColor = simpleOptionsVal.bgColor;
                bgColorQuest = simpleOptionsVal.bgColorQuest;
                bgColorAnsw = simpleOptionsVal.bgColorAnsw;
                titleBgColor = simpleOptionsVal.titleBgColor;
                textColor = simpleOptionsVal.textcolor;
                questtextColor = simpleOptionsVal.questtextColor;
                answertextColor = simpleOptionsVal.answertextColor;       
            }
            // console.log($("#bgColor").parent());
            $("#bgColor").parents(".ays_modal_element").find("button.wp-color-result").css("background-color", bgColor);
            $("#bgColorQuest").parents(".ays_modal_element").find("button.wp-color-result").css("background-color", bgColorQuest);
            $("#bgColorAnsw").parents(".ays_modal_element").find("button.wp-color-result").css("background-color", bgColorAnsw);
            $("#titleBgColor").parents(".ays_modal_element").find("button.wp-color-result").css("background-color", titleBgColor);
            $("#textColor").parents(".ays_modal_element").find("button.wp-color-result").css("background-color", textColor);
            $("#questtextColor").parents(".ays_modal_element").find("button.wp-color-result").css("background-color", questtextColor);
            $("#answertextColor").parents(".ays_modal_element").find("button.wp-color-result").css("background-color", answertextColor);
        });

        //open/close icon !none
        $(document).find('.ays_modal_element .ays_collapseIconDir input').on("change", function(){
            if( $("#ays_none").attr( 'checked' ) == "checked" ) {
               $(".ays_collapseIcon").hide();
               $(".ays_collapseIcon").parent()[0].nextElementSibling.style.display = "none";
            } else {
                $(".ays_collapseIcon").show();
                $(".ays_collapseIcon").parent()[0].nextElementSibling.style.display = "block";
            }
        });


        let ays_faq_bg_color_picker = {
            defaultColor: $("#bgColor").val(),
            change: function(event, ui){
                // console.log(ui, event);
            },
        };
        let ays_faq_border_color_picker = {
            defaultColor: $("#borderColor").val()
        };
        let ays_faq_bg_quest_color_picker = {
            defaultColor: $("#bgColorQuest").val()
        };
        let ays_faq_bg_answ_color_picker = {
            defaultColor: $("#bgColorAnsw").val()
        };
        let ays_faq_title_bg_color_picker = {
            defaultColor: $("#titleBgColor").val()
        };
        let ays_faq_text_color_picker = {
            defaultColor: $("#textColor").val()
        };
        let ays_faq_quest_text_color_picker = {
            defaultColor: $("#questtextColor").val()
        };
        let ays_faq_answer_text_color_picker = {
            defaultColor: $("#answertextColor").val()
        };
        
        $(document).find('#bgColor').wpColorPicker(ays_faq_bg_color_picker);
        $(document).find('#borderColor').wpColorPicker(ays_faq_border_color_picker);
        $(document).find('#bgColorQuest').wpColorPicker(ays_faq_bg_quest_color_picker);
        $(document).find('#bgColorAnsw').wpColorPicker(ays_faq_bg_answ_color_picker);
        $(document).find('#titleBgColor').wpColorPicker(ays_faq_title_bg_color_picker);
        $(document).find('#textColor').wpColorPicker(ays_faq_text_color_picker);
        $(document).find('#questtextColor').wpColorPicker(ays_faq_quest_text_color_picker);
        $(document).find('#answertextColor').wpColorPicker(ays_faq_answer_text_color_picker);
        
    });
}) (jQuery);