<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://ays-pro.com
 * @since      1.0.0
 *
 * @package    Faq_Builder_Ays
 * @subpackage Faq_Builder_Ays/admin/partials
 */
    $action = (isset($_GET['action']))?$_GET['action']:"";

    $id = ( isset( $_GET["faq"] ) ) ? intval( $_GET["faq"] ) : null;

    $faq = array(
        "title" => __("Default title", $this->plugin_name),
        "description" => __("Default description", $this->plugin_name),
        "questions" => '',
        "answers" => '',
        "options" => '',
        "style" => ''
    );
    switch($action){
        case "edit":
            $faq = $this->faqs_object->get_faq_by_id($id);
            $user_question = $this->ays_get_faq_user_question($id);
            $style = $faq['style'];
            $options = $faq['options'];
            $heading = __("Edit F.A.Q", $this->plugin_name);
            break;
        default:
            $heading = __("Add F.A.Q", $this->plugin_name);
            $user_question = $this->ays_get_faq_user_question($id);
            $style = $faq['style'];
            $options = $faq['options'];
    }
    if ( isset($_POST["ays-submit"]) || isset($_POST["ays-submit-top"]) ) {
        $_POST["id"] = $id;
        $this->faqs_object->add_or_edit_faqs($_POST);
    }
    if(isset($_POST["ays-apply"]) || isset($_POST["ays-apply-top"])){
        $_POST["id"] = $id;
        $_POST["submit_type"] = 'apply';
        $this->faqs_object->add_or_edit_faqs($_POST);
    }   
    $faq_question_array = explode('***', $faq['questions']);
    $faq_answer_array = explode('***', $faq['answers']);
    
    if(isset($_GET['ays_faq_tab'])){
        $ays_faq_tab = $_GET['ays_faq_tab'];
    } else{
        $ays_faq_tab = 'tab1';
    }

    $ays_faq_border_width = (isset($style['ays_faq_border_width']) && $style['ays_faq_border_width'] != '') ? $style['ays_faq_border_width'] : '0';
    $ays_faq_border_style = (isset($style['ays_faq_border_style']) && $style['ays_faq_border_style'] != '') ? $style['ays_faq_border_style'] : 'solid';

?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="wrap">
    <form method="post">
        <input type="hidden" name="ays_faq_tab" value="<?php echo $ays_faq_tab; ?>">
        <h1 class="wp-heading-inline">
            <?php echo $heading; ?>
            <input type="submit" name="ays-submit-top" class="ays-submit action-button button-primary" value="<?php echo __("Save F.A.Q", $this->plugin_name);?>" >
            <input type="submit" name="ays-apply-top" class="ays-submit action-button button" value="<?php echo __("Apply F.A.Q", $this->plugin_name);?>" >
        </h1>
        <div class="nav-tab-wrapper">
            <a href="#tab1" data-tab="tab1" class="nav-tab <?php echo ($ays_faq_tab == 'tab1') ? 'nav-tab-active' : ''; ?>"><?php echo __("General", $this->plugin_name); ?></a>
            <a href="#tab2" data-tab="tab2" class="nav-tab <?php echo ($ays_faq_tab == 'tab2') ? 'nav-tab-active' : ''; ?>"><?php echo __("Styles", $this->plugin_name); ?></a>
            <a href="#tab3" data-tab="tab3" class="nav-tab <?php echo ($ays_faq_tab == 'tab3') ? 'nav-tab-active' : ''; ?>"><?php echo __("Settings", $this->plugin_name); ?></a>
        </div>
        <div id="tab1" class="ays-faq-tab-content <?php echo ($ays_faq_tab == 'tab1') ? 'ays-faq-tab-content-active' : ''; ?>">
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for='ays-faq-title'><?php echo __('F.A.Q Title', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("In this field the name of F.A.Q is filled in", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label> 
                    </div>
                    <div class="col-sm-8">
                        <input type="text" class="ays-text-input form-control" id='ays-faq-title' name='ays_faq_title' value="<?php echo stripcslashes(htmlentities($faq['title']));?>"/>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for='ays-faq-desc'><?php echo __('Description', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("In this field the description of F.A.Q is filled in", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-8">
                        <?php
                            $content = $faq["description"];
                            $editor_id = 'ays_faq_description';
                            $settings = array('editor_height'=>'250');
                            wp_editor( $content, $editor_id, $settings );
                        ?>
                    </div>
                </div>
            </div>
            <hr>
            <div class="ays_modal_element">
                    <label class='ays_faq_label' for='ays-add-question1'><?php echo __("Add question", $this->plugin_name); ?>
                        <a id="ays-add-question1" class="add-question btn btn-secondary btn-sm" title="<?php echo __("Add question", $this->plugin_name); ?>">
                            <i class="fa fa-plus fa-lg"></i>
                        </a>
                    </label>
            </div>
            <div class="ays-main ui-sortable" id="main">
                <?php
                    foreach($faq_question_array as $key => $question){
                        ?>
                        <div class="ays-border" id="question_block_<?php echo $key; ?>">
                            <div class="card-header">
                                <div class="row">
                                    <div class="col-sm-1">
                                        <a class="ays-link ays-move" title="Move question">
                                            <i class="fa fa-arrows fa-2x ui-sortable-handle ays-move-questions"></i>
                                        </a>
                                    </div>
                                    <div class="col-sm-9"  data-toggle="collapse" href="#collapse_<?php echo $key; ?>">
                                            <label class='ays_faq_label ays-for-change'>
                                                <?php
                                                    if($question == ""){
                                                        echo __("No question", $this->plugin_name);
                                                    }else{
                                                        echo stripslashes(htmlentities($question)) ;
                                                    }
                                                ?>
                                            </label>
                                        </div>
                                    <div class="col-sm-1 ays-forcollaps">
                                        <a class="ays-link collapsed" data-toggle="collapse" href="#collapse_<?php echo $key; ?>" title="<?php echo __("Collapse question", $this->plugin_name); ?>"></a>
                                    </div>
                                    <div class="col-sm-1">
                                        <a class="ays-link ays-delete-question" href="#" title="<?php echo __("Delete question", $this->plugin_name); ?>">
                                            <i class="fa fa-trash fa-2x" aria-hidden="true"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>

                            <div id="collapse_<?php echo $key; ?>" class="ays-block collapse">
                            <div class="card-body">
                                    <div class="ays_modal_element form-group row">
                                        <div class="col-sm-2">
                                            <label class='ays_faq_label' for='ays-faq-quest-<?php echo $key; ?>'><?php echo __('Question', $this->plugin_name); ?></label>
                                        </div>
                                        <div class="col-sm-10">
                                            <input type="text" class="ays-text-input form-control" id='ays-faq-quest-<?php echo $key; ?>' name='ays_faq_question[]' value="<?php echo stripcslashes(htmlentities($question)); ?>"/>
                                        </div>
                                    </div>
                                    <div class="ays_modal_element form-group row">
                                        <div class="col-sm-2">
                                            <label class='ays_faq_label' for='ays-faq-answer-<?php echo $key; ?>'><?php echo __('Answer', $this->plugin_name); ?></label>
                                        </div>
                                        <div class="col-sm-10">
                                            <textarea class="form-control" name='ays_faq_answer[]' id='ays-faq-answer-<?php echo $key; ?>'><?php echo stripcslashes(htmlentities($faq_answer_array[$key])); ?></textarea>
                                        </div>
                                    </div>
                            </div>
                            </div>
                    </div>
                <?php
                    }
                ?> 
                    
                 <?php
                    $user_qustions_key = count($faq_question_array);
                    foreach($user_question as $key => $question){
                        ?>
                        <div class="ays-border" id="question_block_<?php echo $user_qustions_key + $key; ?>">
                            <div class="card-header">
                                <div class="row">
                                    <div class="col-sm-1">
                                        <a class="ays-link ays-move" title="Move question">
                                            <i class="fa fa-arrows fa-2x ui-sortable-handle ays-move-questions"></i>
                                        </a>
                                    </div>
                                    <div class="col-sm-9"  data-toggle="collapse" href="#collapse_<?php echo $user_qustions_key + $key; ?>">
                                            <label class='ays_faq_label ays-for-change'>
                                                <?php
                                                    if($question == ""){
                                                        echo __("No question", $this->plugin_name);
                                                    }else{
                                                        echo stripslashes(htmlentities($question)) ;
                                                    }
                                                ?>
                                            </label>
                                        </div>
                                    <div class="col-sm-1 ays-forcollaps">
                                        <a class="ays-link collapsed" data-toggle="collapse" href="#collapse_<?php echo $user_qustions_key + $key; ?>" title="<?php echo __("Collapse question", $this->plugin_name); ?>"></a>
                                    </div>
                                    <div class="col-sm-1">
                                        <a class="ays-link ays-add-user-question" href="javascript: void(0)" title="<?php echo __("Add user question", $this->plugin_name); ?>">
                                            <i class="fas fa-plus" aria-hidden="true"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>

                            <div id="collapse_<?php echo $user_qustions_key + $key; ?>" class="ays-block collapse">
                            <div class="card-body">
                                    <div class="ays_modal_element form-group row">
                                        <div class="col-sm-2">
                                            <label class='ays_faq_label' for='ays-faq-quest-<?php echo $user_qustions_key + $key; ?>'><?php echo __('Question', $this->plugin_name); ?></label>
                                        </div>
                                        <div class="col-sm-10">
                                            <input type="text" class="ays-text-input form-control" id='ays-faq-quest-<?php echo $user_qustions_key + $key; ?>' name='ays_faq_user_question[]' value="<?php echo stripcslashes(htmlentities($question)); ?>"/>
                                        </div>
                                    </div>
                                    <div class="ays_modal_element form-group row">
                                        <div class="col-sm-2">
                                            <label class='ays_faq_label' for='ays-faq-answer-<?php echo $user_qustions_key + $key; ?>'><?php echo __('Answer', $this->plugin_name); ?></label>
                                        </div>
                                        <div class="col-sm-10">
                                            <textarea class="form-control" name='ays_faq_user_answer[]' id='ays-faq-answer-<?php echo $user_qustions_key + $key; ?>'></textarea>
                                        </div>
                                    </div>
                            </div>
                            </div>
                            <input type="hidden" class="user_quest" name="user_quest" value="true">
                    </div>
                <?php
                    }
                ?> 
            </div>
            <?php
                if($id != null){
                    ?>
                    <hr>
                        <div class="ays_modal_element">
                            <label class='ays_faq_label' for='ays-add-question2'><?php echo __("Add question", $this->plugin_name); ?>
                                <a id="ays-add-question2" class="add-question btn btn-secondary btn-sm" title="<?php echo __("Add question", $this->plugin_name); ?>">
                                    <i class="fa fa-plus fa-lg"></i>
                                </a>
                            </label>
                        </div>
                    <?php
                }
            ?>
            <hr>
        </div>
        <div id="tab2" class="ays-faq-tab-content <?php echo ($ays_faq_tab == 'tab2') ? 'ays-faq-tab-content-active' : ''; ?>">
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-2">
                        <label class='ays_faq_label' for='ays-faq-style'><?php echo __('Theme', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("Select the theme of F.A.Q", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <?php 
                            if(!isset($style['style_theme']) || $style['style_theme'] == ''){
                                $ays_faq_theme = 'default_arrow';
                            }else{
                                $ays_faq_theme = $style['style_theme'];
                            }
                        ?>
                    <div class="col-sm-10">
                        <div class="for_themes">
                            <div class="ays_theme">
                                <label for='default_arrow'>
                                    <span>Arrows</span>
                                    <input id='default_arrow' type="radio" name="ays_faq_theme" value="default_arrow" <?php echo ($ays_faq_theme == 'default_arrow') ? 'checked' : ''; ?>>
                                    <img src="<?php echo AYS_FAQ_ADMIN_URL . "/images/theme1.PNG"?>">
                                </label>
                            </div>
                            <div class="ays_theme">
                                <label for='plusminus'>
                                    <span>Plus</span>
                                    <input id='plusminus' type="radio" name="ays_faq_theme" value="plusminus" <?php echo ($ays_faq_theme == 'plusminus') ? 'checked' : ''; ?>>
                                    <img src="<?php echo AYS_FAQ_ADMIN_URL . "/images/theme2.PNG"?>">
                                </label>
                            </div>
                            <div class="ays_theme">
                                <label for='simple'>
                                    <span>Simple</span>
                                    <input id='simple' type="radio" name="ays_faq_theme" value="simple" <?php echo ($ays_faq_theme == 'simple') ? 'checked' : ''; ?>>
                                    <img src="<?php echo AYS_FAQ_ADMIN_URL . "/images/theme3.PNG"?>">
                                </label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="faqWidth"><?php echo __('F.A.Q width', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("Set width of the F.A.Q, default 100%", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <?php
                        if(isset($style['faqWidth'])){
                            $faqWidth = $style['faqWidth'];
                        }
                        else{
                            $faqWidth = "";
                        }
                    ?>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="bgColor">
                            <input type="number" size="100" id="faqWidth" name="faqWidth" placeholder="100%" value="<?php echo $faqWidth;?>">
                            <span>px</span>
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div class="form-group row">
                        <div class="col-sm-4">
                             <label for='ays-faq-border-width'><?php echo __('F.A.Q Border width', $this->plugin_name); ?>
                                <a class="ays_help" data-toggle="tooltip" data-placement="top"
                                           title="<?php echo __("The width of the border", $this->plugin_name); ?>">
                                    <i class="fas fa-info-circle"></i>
                                </a>
                             </label>
                        </div>
                        <div class="col-sm-8 ays_divider_left">
                            <input type="number" min="0"
                                class="ays-text-input ays-text-input-short"
                                id='ays-faq-border-width' name='ays_faq_border_width'
                                value="<?php echo $ays_faq_border_width ?>"/>
                        </div>
            </div>
            <hr>
             <div class="form-group row">
                        <div class="col-sm-4">
                             <label for='ays_faq_border_style'><?php echo __('F.A.Q Border style', $this->plugin_name); ?>
                                <a class="ays_help" data-toggle="tooltip" data-placement="top"
                                           title="<?php echo __("The style of F.A.Q container border", $this->plugin_name); ?>">
                                    <i class="fas fa-info-circle"></i>
                                </a>
                             </label>
                        </div>
                        <div class="col-sm-8 ays_divider_left">
                            <select id="ays_faq_border_style" 
                                                name="ays_faq_border_style" 
                                                class="ays-text-input">
                                            <option <?php echo ($ays_faq_border_style == 'solid') ? 'selected' : ''; ?> value="solid">Solid</option>
                                            <option <?php echo ($ays_faq_border_style == 'dashed') ? 'selected' : ''; ?> value="dashed">Dashed</option>
                                            <option <?php echo ($ays_faq_border_style == 'dotted') ? 'selected' : ''; ?> value="dotted">Dotted</option>
                                            <option <?php echo ($ays_faq_border_style == 'double') ? 'selected' : ''; ?> value="double">Double</option>
                                            <option <?php echo ($ays_faq_border_style == 'groove') ? 'selected' : ''; ?> value="groove">Groove</option>
                                            <option <?php echo ($ays_faq_border_style == 'ridge') ? 'selected' : ''; ?> value="ridge">Ridge</option>
                                            <option <?php echo ($ays_faq_border_style == 'inset') ? 'selected' : ''; ?> value="inset">Inset</option>
                                            <option <?php echo ($ays_faq_border_style == 'outset') ? 'selected' : ''; ?> value="outset">Outset</option>
                                            <option <?php echo ($ays_faq_border_style == 'none') ? 'selected' : ''; ?> value="none">None</option>
                                        </select>
                        </div>
            </div>

            <hr>
             <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="borderColor"><?php echo __('F.A.Q Border color', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("Border color of the F.A.Q", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <?php
                        if(isset($style['ays_faq_border_color'])){
                            $ays_faq_border_color = $style['ays_faq_border_color'];
                        }
                        else{
                            $ays_faq_border_color = "#ffffff";
                        }
                    ?>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="borderColor">
                            <input type="text" id="borderColor" name="bordercolor" value="<?php echo $ays_faq_border_color;?>">
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="faqBorderRadius"><?php echo __('F.A.Q container border radius', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("F.A.Q container border radius", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <?php
                        if(isset($style['faqBorderRadius'])){
                            $faqBorderRadius = $style['faqBorderRadius'];
                        }
                        else{
                            $faqBorderRadius = "0";
                        }
                    ?>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="bgColor">
                            <input type="number" id="faqBorderRadius" name="faqBorderRadius" value="<?php echo $faqBorderRadius;?>">
                            <span>px</span>
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="bgColor"><?php echo __('F.A.Q background color', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("Background color of the F.A.Q", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <?php
                        if(isset($style['bgColor'])){
                            $bgColor = $style['bgColor'];
                        }
                        else{
                            $bgColor = "#f0f0f0";
                        }
                    ?>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="bgColor">
                            <input type="text" id="bgColor" name="bgcolor" value="<?php echo $bgColor;?>">
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="bgColorQuest"><?php echo __('F.A.Q question background color', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("F.A.Q question background color", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <?php
                        if(isset($style['bgColorQuest'])){
                            $bgColorQuest = $style['bgColorQuest'];
                        } else {
                            $bgColorQuest = "#DFDDDD";
                        }
                    ?>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="bgColor">
                            <input type="text" id="bgColorQuest" name="bgcolorquest" value="<?php echo $bgColorQuest;?>">
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="bgColorAnsw"><?php echo __('F.A.Q answer background color', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("F.A.Q answer background color", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <?php
                        if(isset($style['bgColorAnsw'])){
                            $bgColorAnsw = $style['bgColorAnsw'];
                        }
                        else{
                            $bgColorAnsw = "#DFDDDD";
                        }
                    ?>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="bgColor">
                            <input type="text" id="bgColorAnsw" name="bgcoloransw" value="<?php echo $bgColorAnsw;?>">
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="titleBgColor"><?php echo __('F.A.Q title background color', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("F.A.Q title background color", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <?php
                        if(isset($style['titleBgColor'])){
                            $titleBgColor = $style['titleBgColor'];
                        }
                        else{
                            $titleBgColor = "#f9f9f9";
                        }
                    ?>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="bgColor">
                            <input type="text" id="titleBgColor" name="titleBgColor" value="<?php echo $titleBgColor;?>">
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="textColor"><?php echo __('F.A.Q text color', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("F.A.Q text color", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <?php
                        if(isset($style['textColor'])){
                            $textColor = $style['textColor'];
                        }
                        else{
                            $textColor = "#000000";
                        }
                    ?>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="bgColor">
                            <input type="text" id="textColor" name="textcolor" value="<?php echo $textColor;?>">
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="questtextColor"><?php echo __('F.A.Q question text color', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("F.A.Q question text color", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <?php
                        if(isset($style['questtextColor'])){
                            $textColor = $style['questtextColor'];
                        }
                        else{
                            $textColor = "#000000";
                        }
                    ?>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="bgColor">
                            <input type="text" id="questtextColor" name="questtextColor" value="<?php echo $textColor;?>">
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="answertextColor"><?php echo __('F.A.Q answer text color', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("F.A.Q answer text color", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <?php
                        if(isset($style['answertextColor'])){
                            $answertextColor = $style['answertextColor'];
                        }
                        else{
                            $answertextColor = "#000000";
                        }
                    ?>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="bgColor">
                            <input type="text" id="answertextColor" name="answertextColor" value="<?php echo $answertextColor;?>">
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="questBorderRadius"><?php echo __('F.A.Q question border radius', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("F.A.Q question border radius", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <?php
                        if(isset($style['questBorderRadius'])){
                            $questBorderRadius = $style['questBorderRadius'];
                        }
                        else{
                            $questBorderRadius = "0";
                        }
                    ?>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="bgColor">
                            <input type="number" id="questBorderRadius" name="questBorderRadius" value="<?php echo $questBorderRadius;?>">
                            <span>px</span>
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="questSpaceBetween"><?php echo __('F.A.Q space between questions', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("F.A.Q space between questions", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <?php
                        if( isset($style['questBorderRadius']) ){
                            $questSpaceBetween = $style['questSpaceBetween'];
                        }
                        else{
                            $questSpaceBetween = "0";
                        }          
                    ?>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="bgColor">
                            <input type="number" id="questSpaceBetween" name="questSpaceBetween" value="<?php echo $questSpaceBetween;?>">
                            <span>px</span>
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="ansHeight"><?php echo __('F.A.Q Answer height', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("F.A.Q Answer height", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <?php
                        if(isset($style['ansHeight'])){
                            $ansHeight = $style['ansHeight'];
                        }
                        else{
                            $ansHeight = "0";
                        }
                        
                    ?>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="bgColor">
                            <input type="number" id="ansHeight" name="ansHeight" placeholder="auto" value="<?php echo $ansHeight;?>">
                            <span>px</span>
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="ansPadding"><?php echo __('F.A.Q Answer padding', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("F.A.Q Answer top and bottom paddings", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <?php
                        if(isset($style['ansPadding'])){
                            $ansPadding = $style['ansPadding'];
                        }
                        else{
                            $ansPadding = "";
                        }
                        
                    ?>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="bgColor">
                            <input type="number" id="ansPadding" name="ansPadding" placeholder="0" value="<?php echo $ansPadding;?>">
                            <span>px</span>
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for='ays-faq-openclose'><?php echo __('Open/Close Icon Alignment', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("Accordion Open/Close Icon Alignment", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <?php 
                        if(!isset($style['icon_direction']) || $style['icon_direction'] == '' || $style['icon_direction'] == 'none'){
                            $ays_iconDir = 'after';
                        }else{
                            $ays_iconDir = $style['icon_direction'];
                        }
                    ?>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="for_themes">
                            <div class="ays_collapseIconDir">
                                <label for="ays_none">None</label>
                                <input id="ays_none" type="radio" name="ays_faq_iconDirection" value="none" <?php echo ($ays_iconDir == 'none') ? 'checked' : ''; ?>>
                            </div>
                            <div class="ays_collapseIconDir ays_divider_left">
                                <label for="ays_left">Left</label>
                                <input id="ays_left" type="radio" name="ays_faq_iconDirection" value="before" <?php echo ($ays_iconDir == 'before') ? 'checked' : ''; ?>>
                            </div>
                            <div class="ays_collapseIconDir ays_divider_left">
                                <label for="ays_right">Right</label>
                                <input id="ays_right" type="radio" name="ays_faq_iconDirection" value="after" <?php echo ($ays_iconDir == 'after') ? 'checked' : ''; ?>>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_collapseIcon ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for='ays-faq-openclose'><?php echo __('Open/Close Icon', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("Accordion Open/Close Icon", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="collapseIcon">                  
                            <input id="icons-1" type="radio" name="ays_faq_Icon" value="f078,f077" <?php echo ( isset($style['ays_faq_Icon']) && $style['ays_faq_Icon'] == "f078,f077" ) ? "checked" : ($ays_faq_theme == "simple" ? "checked" : ""); ?> >
                            <label for="icons-1">
                                <i class="fas fa-chevron-down"></i>
                                <i class="fas fa-chevron-up"></i>                      
                            </label>
                            <i class="check fas fa-check"></i>
                        </div>
                        <div class="collapseIcon">                  
                            <input id="icons-2" type="radio" name="ays_faq_Icon" value="f055,f056" <?php echo ( isset($style['ays_faq_Icon']) && $style['ays_faq_Icon'] == "f055,f056" ) ? "checked" : ($ays_faq_theme == "plusminus" ? "checked" : "");  ?> >
                            <label for="icons-2">
                                <i class="fas fa-plus-circle"></i>
                                <i class="fas fa-minus-circle"></i>                     
                            </label>
                            <i class="check fas fa-check"></i>
                        </div>      
                        <div class="collapseIcon">                  
                            <input id="icons-3" type="radio" name="ays_faq_Icon" value="f0ab,f0aa" <?php echo ( isset($style['ays_faq_Icon']) && $style['ays_faq_Icon'] == "f0ab,f0aa" ) ? "checked" : ""; ?> >
                            <label for="icons-3">
                                <i class="fas fa-arrow-circle-down"></i>
                                <i class="fas fa-arrow-circle-up"></i>                       
                            </label>
                            <i class="check fas fa-check"></i>
                        </div>
                        <div class="collapseIcon">                  
                            <input id="icons-4" type="radio" name="ays_faq_Icon" value="f107,f106" <?php echo ( isset($style['ays_faq_Icon']) && $style['ays_faq_Icon'] == "f107,f106" ) ? "checked" : ""; ?> >
                            <label for="icons-4">
                                <i class="fas fa-angle-down"></i>
                                <i class="fas fa-angle-up"></i>                       
                            </label>
                            <i class="check fas fa-check"></i>
                        </div>
                        <div class="collapseIcon">                  
                            <input id="icons-5" type="radio" name="ays_faq_Icon" value="f0dd,f0de" <?php echo ( isset($style['ays_faq_Icon']) && $style['ays_faq_Icon'] == "f0dd,f0de" ) ? "checked" : ""; ?> >
                            <label for="icons-5">
                                <i class="fas fa-sort-down"></i>
                                <i class="fas fa-sort-up"></i>                     
                            </label>
                            <i class="check fas fa-check"></i>
                        </div>

                        <div class="collapseIcon">                  
                            <input id="icons-6" type="radio" name="ays_faq_Icon" value="f13a,f139" <?php echo ( isset($style['ays_faq_Icon']) && $style['ays_faq_Icon'] == "f13a,f139" ) ? "checked" : ($ays_faq_theme == "default_arrow" ? "checked" : ""); ?> >
                            <label for="icons-6">
                                <i class="fas fa-chevron-circle-down"></i>
                                <i class="fas fa-chevron-circle-up"></i>                     
                            </label>
                            <i class="check fas fa-check"></i>
                        </div>
                        <div class="collapseIcon">                  
                            <input id="icons-7" type="radio" name="ays_faq_Icon" value="f063,f062" <?php echo ( isset($style['ays_faq_Icon']) && $style['ays_faq_Icon'] == "f063,f062" ) ? "checked" : ""; ?> >
                            <label for="icons-7">
                                <i class="fas fa-arrow-down"></i>                 
                                <i class="fas fa-arrow-up"></i>               
                            </label>
                            <i class="check fas fa-check"></i>
                        </div>
                        <div class="collapseIcon">                  
                            <input id="icons-8" type="radio" name="ays_faq_Icon" value="f103,f102" <?php echo ( isset($style['ays_faq_Icon']) && $style['ays_faq_Icon'] == "f103,f102" ) ? "checked" : ""; ?> >
                            <label for="icons-8">
                                <i class="fas fa-angle-double-down"></i>
                                <i class="fas fa-angle-double-up"></i>                     
                            </label>
                            <i class="check fas fa-check"></i>
                        </div>
                    </div>
                </div>
            </div>
            <hr>
             <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label' for="customClass"><?php echo __('F.A.Q Custom Class', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("F.A.Q custom class", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <?php
                        if(isset($style['customClass'])){
                            $customClass = $style['customClass'];
                        }
                        else{
                            $customClass = "";
                        }
                    ?>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="customClass">
                            <input  type="text" class="ays-text-input form-control" name="ays_custom_class" id="ays_custom_class" placeholder="myClass myAnotherClass..." value="<?php echo $customClass; ?>">
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div class="form-group row">
                        <div class="col-sm-4">
                          <label for="slider_custom_css"><?=__("F.A.Q Custom CSS", $this->plugin_name);?>
                            <a class="ays_help" data-toggle="tooltip" title="<?=__("You can mark your desirable specific styles", $this->plugin_name);?>">
                               <i class="fas fa-info-circle"></i>
                            </a>
                            </label>
                        </div>
                       
                        <div class="col-sm-8 ays_divider_left">
                        <textarea id="ays_custom_css" name="customCss" class="form-control" rows="10"><?php echo (isset($style['customCss']) && $style['customCss'] != '') ? $style['customCss'] : '' ?></textarea>
                        </div>
                    </div> <!-- Custom CSS -->
            <hr>
        </div>
        <div id="tab3" class="ays-faq-tab-content <?php echo ($ays_faq_tab == 'tab3') ? 'ays-faq-tab-content-active' : ''; ?>">
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-4">
                        <label class='ays_faq_label'><?php echo __('Collapse option', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("Select the answer collapse style", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <?php 
                        if(!isset($options['collapseStyle']) || $options['collapseStyle'] == '' || $options['collapseStyle'] == 'none'){
                            $collapseStyle = 'none';
                        }else{
                            $collapseStyle = $options['collapseStyle'];
                        }
                    ?>
                    <div class="col-sm-8 ays_divider_left">
                        <div class="for_themes">
                            <div class="ays_collapseIconDir ays_collapse_other_answers">
                                <label for="ays_none">None</label>
                                <input id="ays_none" type="radio" name="collapseStyle" value="none" <?php echo ($collapseStyle == 'none') ? 'checked' : ''; ?>>
                            </div>
                            <div class="ays_collapseIconDir ays_collapse_other_answers ays_divider_left">
                                <label for="ays_closeAnswer">Collapse other answers</label>
                                <input id="ays_closeAnswer" type="radio" name="collapseStyle" value="accordion" <?php echo ($collapseStyle == 'accordion') ? 'checked' : ''; ?>>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <div class="ays_modal_element form-group row">
                    <div class="col-sm-3">
                        <label class='ays_faq_label' for="ays_send_question_to_admin"><?php echo __('Send question to admin', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("User send question to admin dashboard", $this->plugin_name ); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-1">
                        <input type="checkbox" id="ays_send_question_to_admin" name="sendQuestionToAdmin" <?php echo (isset($options['sendQuestionToAdmin']) && $options['sendQuestionToAdmin']=="on") ? 'checked' : '' ?> >
                    </div>
                </div>
            </div>
            <hr>
        </div>
        <?php
            wp_nonce_field('faq_action', 'faq_action');
        ?>
        <div class="ays_submit_button">
        	<input type="submit" name="ays-submit" class="ays-submit button-primary" value="<?php echo __("Save F.A.Q", $this->plugin_name);?>" />
        	<input type="submit" name="ays-apply" id="ays_submit_apply" class="ays-submit button" value="<?php echo __("Apply F.A.Q", $this->plugin_name);?>" />
		</div>
    </form>

</div>