<?php
global $ays_faq_db_version;
$ays_faq_db_version = '1.0.8'; //aray
/**
 * Fired during plugin activation
 *
 * @link       https://ays-pro.com
 * @since      1.0.0
 *
 * @package    Faq_Builder_Ays
 * @subpackage Faq_Builder_Ays/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Faq_Builder_Ays
 * @subpackage Faq_Builder_Ays/includes
 * @author     F.A.Q Builder Team <info@ays-pro.com>
 */
class Faq_Builder_Ays_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
        require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
        global $wpdb;
        global $ays_faq_db_version;
        $faq_table = $wpdb->prefix . 'ays_faqs';
        $installed_ver = get_option( "ays_faq_db_version" );
        $charset_collate = $wpdb->get_charset_collate();
        
        if($installed_ver != $ays_faq_db_version) {
        
            $sql = "CREATE TABLE `".$faq_table."` (
                    `id` INT(16) UNSIGNED NOT NULL AUTO_INCREMENT,
                    `title` TEXT NOT NULL,
                    `description` TEXT NOT NULL,
                    `questions` TEXT NOT NULL,
                    `answers` TEXT NOT NULL,
                    `style` TEXT NOT NULL,
                    `options` TEXT NOT NULL,
                    `user_question` TEXT NOT NULL,
                    PRIMARY KEY (`id`)
                )$charset_collate;";
            dbDelta( $sql );
            update_option('ays_faq_db_version', $ays_faq_db_version);


            $faq_count = $wpdb->get_var("SELECT COUNT(*) FROM {$faq_table}");
            if( $faq_count == 0 ){
                $faq_result = $wpdb->insert(
                    $faq_table,
                    array(
                        'title' => 'Google F.A.Q',
                        'description' => '',
                        'questions' => 'How does Google protect my privacy and keep my information secure?***How can I remove information about myself from Google\'s search results?***Are my search queries sent to websites when I click on Google Search results?',
                        'answers' => 'We know security and privacy are important to you – and they are important to us, too. We make it a priority to provide strong security and give you confidence that your information is safe and accessible when you need it. We’re constantly working to ensure strong security, protect your privacy, and make Google even more effective and efficient for you. We spend hundreds of millions of dollars every year on security, and employ world-renowned experts in data security to keep your information safe. We also built easy-to-use privacy and security tools like Google Dashboard, 2-step verification and Ads Settings. So when it comes to the information you share with Google, you’re in control.***Google search results are a reflection of the content publicly available on the web. Search engines can’t remove content directly from websites, so removing search results from Google wouldn’t remove the content from the web. If you want to remove something from the web, you should contact the webmaster of the site the content is posted on and ask him or her to make a change. Once the content has been removed and Google has noted the update, the information will no longer appear in Google’s search results. If you have an urgent removal request, you can also visit our help page for more information.***In some cases, yes. When you click on a search result in Google Search, your web browser also may send the Internet address, or URL, of the search results page to the destination webpage as the Referrer URL. The URL of the search results page may sometimes contain the search query you entered. If you are using SSL Search (Google’s encrypted search functionality), under most circumstances, your search terms will not be sent as part of the URL in the Referrer URL. There are some exceptions to this behavior, such as if you are using some less popular browsers. More information on SSL Search can be found here. Search queries or information contained in the Referrer URL may be available via Google Analytics or an application programming interface (API). In addition, advertisers may receive information relating to the exact keywords that triggered an ad click.',
                        'style' => '{"style_theme":"default_arrow", "icon_direction":"after", "bgColor":"#f0f0f0", "bgColorQuest":"#d0cece", "bgColorAnsw":"#dfdddd", "titleBgColor": "#d0cece", "textColor":"#000000", "questtextColor":"#000000", "answertextColor":"#000000", "questBorderRadius":"0", "faqBorderRadius":"0", "questSpaceBetween":"0", "ansHeight":"", "faqWidth":"", "ays_faq_Icon":"f13a,f139", "customCss":""}',
                        'options' => '{"collapseStyle":"none"}'
                    ),
                    array(
                        '%s',
                        '%s',
                        '%s',
                        '%s',
                        '%s',
                        '%s'
                    )
                );
                $faq_result = $wpdb->insert(
                    $faq_table,
                    array(
                        'title' => 'What is F.A.Q?',
                        'description' => '',
                        'questions' => '1. What is the purpose of FAQ?
                        ***2. Why is FAQ important?
                        ***3. How do I write a FAQ?
                        ***4. What does FAQ mean in texting?
                        ***5. Is FAQ plural?',
                        'answers' => 'Frequently asked questions (FAQ), also Questions and Answers (Q&A), are listed questions and answers, all supposed to be commonly asked in some context, and pertaining to a particular topic. The format is commonly used on email mailing lists and other online forums, where certain common questions tend to recur.
                        ***A great FAQ page is one of the most important elements of your business website. ... Your FAQ section needs to include high-quality content that will help your customers understand your products and services quickly. This means that your FAQ page can play a central role in driving your audience to paying customers.
                        ***10 tips for writing the perfect FAQ\n\n1. Answer the question.\n2. Only create a FAQ if it really is a Frequently Asked Question. ...\n3. Create a question, not a statement.\n4. Make it concise and to the point. ...\n5. Don\'t create too many questions. ...\n6. Order questions by importance. ...\n7. Keep the answer up-to-date, remove redundant questions.
                        ***FAQ means "Frequently Asked Question" So now you know - FAQ means "Frequently Asked Question" - don\'t thank us. YW! What does FAQ mean? FAQ is an acronym, abbreviation or slang word that is explained above where the FAQ definition is given.
                        ***FAQ stands for \'Frequently asked questions\', with the plural being implicit in the acronym FAQ. But it is common to see the word \'FAQs\' being used, which treat the word FAQ as an object in itself, and an s being added to its end in order to pluralize it.',
                        'style' => '{"style_theme":"simple", "icon_direction":"after", "bgColor":"#ffffff", "bgColorQuest":"#ffffff", "bgColorAnsw":"#ffffff", "titleBgColor": "#ffffff", "textColor":"#32373c", "questtextColor":"#039ae2", "answertextColor":"#32373c", "questBorderRadius":"0", "faqBorderRadius":"0", "questSpaceBetween":"0", "ansHeight":"", "faqWidth":"", "ays_faq_Icon":"f078,f077", "customCss":""}',
                        'options' => '{"collapseStyle":"accordion"}'
                    ),
                    array(
                        '%s',
                        '%s',
                        '%s',
                        '%s',
                        '%s',
                        '%s'
                    )
                );
            }
        }
	}

}
